Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.config
Class SocketConfig.Builder

    java.lang.Object
      org.apache.http.config.SocketConfig.Builder

Enclosing class:
  SocketConfig

    public static class SocketConfig.Builder

extends Object

Method Summary
`SocketConfig` | `build()`
`SocketConfig.Builder` | `setBacklogSize(int backlogSize)`
`SocketConfig.Builder` | `setRcvBufSize(int rcvBufSize)`
`SocketConfig.Builder` | `setSndBufSize(int sndBufSize)`
`SocketConfig.Builder` | `setSoKeepAlive(boolean soKeepAlive)`
`SocketConfig.Builder` | `setSoLinger(int soLinger)`
`SocketConfig.Builder` | `setSoReuseAddress(boolean soReuseAddress)`
`SocketConfig.Builder` | `setSoTimeout(int soTimeout)`
`SocketConfig.Builder` | `setTcpNoDelay(boolean tcpNoDelay)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setSoTimeout

    public SocketConfig.Builder setSoTimeout(int soTimeout)

### setSoReuseAddress

    public SocketConfig.Builder setSoReuseAddress(boolean soReuseAddress)

### setSoLinger

    public SocketConfig.Builder setSoLinger(int soLinger)

### setSoKeepAlive

    public SocketConfig.Builder setSoKeepAlive(boolean soKeepAlive)

### setTcpNoDelay

    public SocketConfig.Builder setTcpNoDelay(boolean tcpNoDelay)

### setSndBufSize

    public SocketConfig.Builder setSndBufSize(int sndBufSize)

  Since:
    4.4

### setRcvBufSize

    public SocketConfig.Builder setRcvBufSize(int rcvBufSize)

  Since:
    4.4

### setBacklogSize

    public SocketConfig.Builder setBacklogSize(int backlogSize)

  Since:
    4.4

### build

    public SocketConfig build()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.